'statusbar parts
'检索状态栏窗口中的部件数量。该消息还检索边线的零件数量的右边缘的坐标。
'参数：
'hStatus     ：状态栏句柄。
'aRightCoord ：指向状态栏作为零件具有相同元素数目的长整数数组。
'              数组中的每个元素接收的客户端的相应部分的右边缘坐标。
'              如果将元素设置为-1，那部分的右边缘的位置延伸到窗口的右边缘。
'              若要检索部件的当前数目，请将此参数设置为零。
'返回值      ：如果成功的话返回零件数量 否则返回 零。
Function FF_StatusBar_GetParts (ByVal hStatus as HWnd, aRightCoord() as Long) as Long
   Dim dwParts      as Long
   Dim dwElements   as Long
   Dim FirstElement as Long
   
   dwParts = SendMessage (hStatus, SB_GETPARTS, 0, 0)
   dwElements = UBound(aRightCoord) - LBound(aRightCoord) + 1
   
   If dwElements <> dwParts Then Exit Function
   
   FirstElement = LBound(aRightCoord)
   Function = SendMessage (hStatus, SB_GETPARTS, dwParts, Cast(LPARAM, VarPtr(aRightCoord(FirstElement))))
End Function

